> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-reporting-service-guide/v21/creating-custom-reports/example-report-with-charts/design-the-report/format-the-report.md).

# Format the Report

We'll now add some formatting to our report.

Right-click in the indicated area (see the screenshot below) and choose **Row Visibility**.

In the **Row Visibility** dialog, select the **Show or hide based on an expressions** option and then click the **Fx** button (on the right). In the **Expression** dialog that opens, enter the following expression:

`=If(IsNothing(Fields!Machine_Name.Value <> Fields!Machine_Type.Value, false, true)`

The expression will hide the empty machine names.

Right-click on the image and select **Image Properties**. In the **Image Properties** dialog, set padding to position the image in the center:

In the **Visibility** tab, select **Show or hide based on an expression** and click the **Fx** button. Enter the expression as shown below:

Right-click on **Parameters** and choose **Add Parameter:**

Set the parameter name and the prompt:

In the **Available Values** tab, select **Specify values** and add the required labels:

In the **Default Values** tab, set a default value from the previous list:

On the main report screen, right-click on the pie chart and select **Chart Properties**. In the **Chart Properties** dialog, select **Show or hide based on an expression** and click the **Fx** button. In the **Expression** dialog, enter the following:

On the main report screen, right-click on the bar chart and select **Chart Properties**. In the **Chart Properties** dialog, select **Show or hide based on an expression** and click the **Fx** button. In the **Expression** dialog, enter the following:

Save the report. You can now run it in the Parallels RAS Console:


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-reporting-service-guide/v21/creating-custom-reports/example-report-with-charts/design-the-report/format-the-report.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
